nss-mdns (0.15.1-5) unstable; urgency=medium

  * Rename packaging branch to debian/latest
  * d/control: Build-Depend on pkgconf instead of transitional pkg-config
  * d/tests/control: Depend on default D-Bus system bus, not dbus
    specifically. We still need dbus-bin, for dbus-uuidgen.
  * Use dpkg build API v1
  * Remove Rules-Requires-Root, default since Debian 13
  * Normalize formatting of packaging (debputy reformat)
  * d/watch: Convert to uscan format v5 and reformat
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 13:46:58 +0000

nss-mdns (0.15.1-4) unstable; urgency=medium

  * Team upload
  * Install NSS modules into /usr
  * Simplify configure options
  * Bump Standards-Version to 4.6.2

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Jan 2024 23:34:23 +0100

nss-mdns (0.15.1-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Demote avahi-daemon from Depends to Recommends.
    This NSS module requires avahi-daemon, but in a container environment it
    might be running outside the container with the socket bind-mounted from
    the host system.
    Patch from Ubuntu, thanks to Steve Langasek (Closes: #1017488)
  * d/watch: Adapt to Github website changes
  * d/control: Set Rules-Requires-Root to no.
    In particular this avoids non-reproducibility if fakeroot does not
    fully support the stat-like syscalls on an architecture.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + libnss-mdns: Drop versioned constraint on avahi-daemon and base-files
      in Depends.

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Nov 2022 11:11:20 +0000

nss-mdns (0.15.1-2) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/libnss-mdns.nss: Install NSS services `mdns*` via dh_installnss
    - This avoids using Perl in the postrm (Closes: #1009646)
    - This also supports DPKG_ROOT
  * d/libnss-mdns.postinst: Drop code that deals with reordering services.
    This was only run when upgrading from Debian 9 or older, and direct
    upgrades from Debian 9 to this version are no longer supported.

  [ Simon McVittie ]
  * d/tests/*-resolve: Fix regression with systemd >= 251.3-2~exp1.
    libnss-resolve now pulls in systemd-resolved, which Recommends
    libnss-myhostname, which inserts itself into nsswitch.conf; but our tests
    didn't cope gracefully with extra NSS modules.
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Aug 2022 17:44:02 +0100

nss-mdns (0.15.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.0 (no changes needed)
  * Bump debhelper compat level from 12 to 13
    - debian/rules: Drop --fail-missing argument to dh_missing, which
      is now the default.
  * Remove Lintian overrides that are no longer needed
  * d/tests: Stop trying to exercise upgrades from jessie.
    This hasn't been supported since testing reopened after the stretch
    release in 2017.

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Oct 2021 13:43:09 +0100

nss-mdns (0.14.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Simon McVittie ]
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Standards-Version: 4.5.0 (no changes required)
  * d/tests: Exit 77 if all tests are skipped.
    Mark all tests as skippable to support this.
  * Use debhelper-compat 12
  * d/README.Debian: Update to mention #466014, #892854 and .local SOA
    heuristic
  * d/tests/remove-reinstall: When using proposed cross-autopkgtest
    infrastructure to test i386 packages in an amd64 testbed, act on the
    i386 package. Thanks, Steve Langasek (Closes: #946232)
  * d/tests: When using proposed cross-autopkgtest infrastructure,
    distinguish between testbed and host versions of nss-mdns and getent,
    and automatically use host architecture as secondary architecture
    for multiarch tests
  * Fill in Homepage field.
  * Set field Upstream-Name in debian/copyright.
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Sep 2020 10:31:25 +0100

nss-mdns (0.14.1-1) unstable; urgency=medium

  * Migrate Vcs-* from Alioth to salsa.debian.org
  * Change d/copyright Format to https URL
  * Use debhelper compat level 11
  * Remove explicit build-dependency on dh-autoreconf, no longer needed
  * Standards-Version: 4.1.4 (no further changes)
  * Override dh_missing instead of using deprecated
    dh_install --fail-missing
  * d/watch, d/copyright: Switch to new upstream developer
  * d/gbp.conf: Merge upstream git history into upstream/latest branch
  * New upstream release (Closes: #833952)
    - IPv6 scope IDs should now work (Closes: #644912)
    - Drop patch, applied upstream
    - d/libnss-mdns.docs: Update
    - d/copyright: Mention new maintainer
  * Remove build-dependency on lynx, no longer used
  * Add build-dependency on check
    - d/p/Make-tests-minimally-compatible-with-check-0.10.patch:
      Patch tests to work with Debian's 2015 version of check
      (workaround for #858823)
  * Remove --disable-legacy configure option, no longer needed
  * Explicitly enable build-time tests unless nocheck build profile
    was used
  * d/p/Update-README.md-to-be-clearer-about-mdns.allow.patch:
    Add post-release patch from upstream to clarify documentation
  * Build-depend on pkg-config for pkg.m4
  * Make multiarch autopkgtests more robust
    - Automatically skip multiarch autopkgtests if secondary architecture
      libc6 (libc6:i386 or libc6:armhf) cannot be installed. This will
      hopefully mean Ubuntu can stop patching this package to disable
      those tests.
    - Automatically skip multiarch autopkgtests if libnss-mdns cannot
      be installed for both the primary and secondary architectures
      due to multiarch skew.
  * Make sure autopkgtests have libnss-mdns available and are triggered
    by it

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Apr 2018 23:30:42 +0100

nss-mdns (0.10-8) unstable; urgency=medium

  * debian/gbp.conf: use DEP-14 branch names (debian/master and
    upstream/latest)
  * Standards-Version: 3.9.8 (no changes needed)
  * libnss-mdns.postinst: remove special code to handle upgrades from
    ancient versions (all were older than squeeze)
  * libnss-mdns.postinst: configure libnss-mdns before libnss-resolve
    (mitigates: #846944, Closes: #851180)
  * libnss-mdns.postinst: shuffle libnss-mdns before libnss-resolve
    during upgrade if necessary
  * debian/tests: add autopkgtests for the interaction between
    libnss-mdns and libnss-resolve
  * debian/rules: enable bindnow hardening
  * Bump debhelper compat level to 10
    - do not explicitly use autoreconf, it is now the default
  * debian/rules: FTBFS if files are built but not installed
  * libnss-mdns.postrm: do not deconfigure the module until the
    package is purged (Closes: #500478, #782281, #782282)
    - debian/tests/nss-behaviour: verify that the glibc < 2.11 bug
      that caused #534304 has been fixed, so leaving unavailable
      NSS modules in /etc/nsswitch.conf is harmless
    - debian/tests: add autopkgtests for #500478, #782281, #782282

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Jan 2017 22:11:47 +0000

nss-mdns (0.10-7) unstable; urgency=medium

  * Add Vcs-Git, Vcs-Browser fields
  * Move the git repo to collab-maint; it is still a pkg-utopia
    package, but there seems little reason to make it more awkward
    for other developers to commit changes.
  * Remove transitional lib32nss-mdns and libnss-mdns-i386 packages.
    The transition took place in Debian 8 (jessie) and we do not support
    direct upgrades from pre-jessie to stretch.
  * This upload includes automatic debug symbols (Closes: #642026)
  * Standards-Version: 3.9.7 (no changes needed)
  * Normalize packaging via wrap-and-sort -abst

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Feb 2016 11:21:05 +0000

nss-mdns (0.10-6) unstable; urgency=low

  * Bring back a transitional lib32nss-mdns on amd64. It depends on
    a new transitional libnss-mdns-i386 on i386, which in turn depends
    on libnss-mdns. This is necessary because a direct dependency
    on libnss-mdns:i386 by an amd64 package is not yet allowed:
    <https://lists.debian.org/debian-devel/2013/11/msg00007.html>

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Jan 2014 11:05:02 +0000

nss-mdns (0.10-5) unstable; urgency=low

  * Remove transitional lib32nss-mdns for now, since it looks as though
    an automatic upgrade will need a second transitional package and
    a trip through the NEW queue
  * Override lintian warning for a ${source:Version}-based relation on
    lib32nss-mdns, which is not built from this package but will come back
    later
  * Override lintian warning for package-name-doesnt-match-sonames:
    the objects in this package are plugins, not normal libraries
  * Standards-Version: 3.9.5 (no changes needed)
  * Redo copyright file in DEP-5 format
  * Only remove nss-mdns from nsswitch.conf if no more instances
    are installed (Closes: #712029)
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Jan 2014 10:22:10 +0000

nss-mdns (0.10-4) experimental; urgency=low

  * Add myself to Uploaders
  * Acknowledge NMUs
  * Remove 00_dns_unaligned_access.patch, already applied upstream in 0.10
  * Convert to 3.0 (quilt) format, with 01_ia64_alignment.patch applied
    as a patch by dpkg
  * Bring debhelper compat up to 9
  * Use dpkg's default.mk for architecture and hardening flags
  * Use dh and dh_autoreconf
  * Make libnss-mdns Multi-arch: same (Closes: #686984, #710232)
  * Switch lib32nss-mdns from a biarch package built on amd64 to a
    transitional package built on i386: this means users of wheezy's
    multiarch Wine packages, who already have i386 as a foreign
    architecture, should automatically get cross-graded from
    lib32nss-mdns:amd64 to lib32nss-mdns:i386 and hence to libnss-mdns:i386
  * Simplify build system now that there is only one "flavour"
  * debian/control: remove duplicate Section
  * Standards-Version: 3.9.4 (no further changes)
  * Run dh_install with --list-missing
  * Add gbp.conf
  * Add debian/source/local-options to unapply patches when built from git
  * On new installations, do not add "mdns4" to nsswitch.conf, only
    "mdns4_minimal [NOTFOUND=return]". This means we can't
    perform reverse DNS using mDNS for addresses outside 169.254.x.x and
    fe80::/10, but avoids a 5 second delay if such addresses do not
    have a PTR record in DNS (Closes: #412714, #414569, #561622 for
    new installations).
  * Document the alternative configuration with mdns4 in README.Debian

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Jun 2013 09:57:13 +0100

nss-mdns (0.10-3.2) unstable; urgency=low

  * NMU.
  * Drop perl dependancy, only perl-base is needed.
    (Closes: #580394, #603581)
  * Include a patch that fixes unaligned access on successful lookups on
    interesting 64-bit systems. (Closes: #521184)

 -- Steve Kowalik <stevenk@debian.org>  Sat, 10 Sep 2011 17:04:29 +1000

nss-mdns (0.10-3.1) unstable; urgency=low

  * NMU
  * Move biarch files to /usr/lib32.  closes: #533013.
  * Have lib32nss-mdns conflict with libc6-i386 (<= 2.9-18).
  * Bump to Standards-Version 3.8.2.

 -- Clint Adams <schizo@debian.org>  Sun, 02 Aug 2009 11:54:57 -0400

nss-mdns (0.10-3) unstable; urgency=low

  * Upload to unstable.

 -- Loic Minier <lool@dooz.org>  Tue, 10 Jul 2007 13:38:15 +0200

nss-mdns (0.10-2) experimental; urgency=low

  * Rework the build process completely to be able to build multiple flavors;
    build a "main" flavor and an addition "m32" flavor for amd64 which is
    installed in a new lib32nss-mdns package for 32-bits compatibility;
    build-depend on gcc-mutilib; initial patch proposed by Goswin von
    Brederlow; closes: #410052.

 -- Loic Minier <lool@dooz.org>  Mon, 02 Jul 2007 21:42:31 +0200

nss-mdns (0.10-1) unstable; urgency=low

  * Set Utopia Maintenance Team as Maintainer and add Sjoerd and myself as
    Uploaders.
  * Ack NMU.
  * Bump Debhelper compatibility level to 5.
  * Misc cleanups.
  * Wrap fields in control.
  * Add ${misc:Depends}.
  * Switch to a multi-binaries layout for the packaging.
  * Split the definition of configure flags and LDFLAGS.
  * Drop -DNDEBUG=1 from CFLAGS; seems risky in a package build.
  * Only pass --host to configure if DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
    differ.
  * Add watch file.

 -- Loic Minier <lool@dooz.org>  Fri, 22 Jun 2007 18:28:22 +0200

nss-mdns (0.10-0.1) unstable; urgency=high

  * NMU
  * New upstream release
  * Fixes alignment problems on sparc causing sigBUS (Closes: #423222)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 13 May 2007 10:23:16 +0200

nss-mdns (0.9-0.2) unstable; urgency=high

  * Non-maintainer upload to fix a RC bug.
  * Configure with a prefix of / instead of /usr as libnss-mdns needs to be in
    /lib for the resolver to work correctly during boot; this is also needed
    for chrooted processes such as Postfix's smtpd which uses a copy of the
    NSS libs as well of the NSS configuration and fails when mdns is missing
    in the chroot but referenced in nsswitch.conf.  Update other configured
    dirs (mandir, infodir, sysconfdir) as well, but these are currently not
    used.

 -- Loic Minier <lool@dooz.org>  Thu, 22 Feb 2007 14:48:45 +0100

nss-mdns (0.9-0.1) unstable; urgency=high

  * Non-maintainer upload to fix broken dependencies in the 0.8-6.1 NMU.
  * Fix Depends on perl and avahi-daemon.
  * Bump up dependency on avahi-daemon to >= 0.6.16-1 for the auto-disabling
    functionality on sites with a .local SOA.
  * New upstream release.
    - Does not export unnecessary symbols and fixes segfault in nmbclient
      which had symbols with the same name; closes: #404266.
    - Does not use the "search" keyword of resolv.conf anymore;
      closes: #404534, #405327.
  * Re-add a postrm to cleanup the mdns_* entries from nsswitch.conf but act on
    package removal instead of purge to avoid breaking the DNS when the lib is
    removed and to ensure perl is still present; closes: #406198.
  * Document the changes made to postinst in NOTES.Debian and document the
    history of the postrm as well.
  * Updates to README.Debian; add upstream URL for troubleshooting.

 -- Loic Minier <lool@dooz.org>  Tue,  9 Jan 2007 18:45:27 +0100

nss-mdns (0.8-6.1) unstable; urgency=low

  * Non-maintainer upload to fix a long-standing RC bug and to beat the
    package into shape before etch with suggestions from upstream; thanks
    Lennart Poettering.
  * Configure with --disable-legacy, as recommended by upstream for security
    reasons; the legacy mode might be offered in a separate binary package for
    the corner cases where it can be useful; see full discussion in #393711;
    depend on avahi-daemon as nss-mdns will not work without avahi when
    compiled like this; closes: #399297.
  * Only suggest zeroconf instead of Recommending it: even if it can act as a
    nice complement to nss-mdns, it is intrusive and orthogonal to nss-mdns
    and conflicts with avahi-autoipd; closes: #353131, #392590.
  * Suggest avahi-autoipd as an alternative to zeroconf.
  * Remove offensive comments in postinst and README.Debian.
  * Document the history of postinst snippets in debian/NOTES.Debian to permit
    handling all upgrade paths.
  * Depend on Perl for the postinst snippets using the perl interpreter.
  * Rewrite postinst to handle all upgrade paths.
    - Does not wipe NSS configuration which matches the upstream recommended
      configuration during upgrades from versions 0.8-4.2 or 0.8-5;
      closes: #393608.
    - Install the upstream recommended configuration for first installs and
      upgrades from versions which did not automatically insert mdns in the
      NSS setup (unless mdns is already setup); closes: #393711.
    - Keep configuration intact when upgrading from versions which installed
      the upstream recommended configuration.
    - Remove whitespaces added in upgrades from version 0.8-4.2 or 0.8-5 to
      0.8-6.
    - For upgrades from 0.8-6, attempt to revert the problematic "mdns_minimal
      dns mdns" configuration and to install the upstream recommended
      configuration.
  * Update README.Debian to match the above changes and a planned changes in
    avahi-daemon which should disable itself if a .local SOA is found after a
    change in the DNS settings.

 -- Loic Minier <lool@dooz.org>  Sun, 24 Dec 2006 20:27:30 +0100

nss-mdns (0.8-6) unstable; urgency=medium

  * Revert hostile package takeover.
  * "Unbreak the world" (Closes: #392813)

  "So whether nss-mdns does or doesn't support "search local" is of no
  concern to me -- I just doesn't want it to interfere with my otherwise
  working setup."

    Walter Hofmann on Joey Hess and Sjoerd Simons' period of maintainence

  * Revert switch to CDBS.
  * Switch to using a sane /etc/nsswitch.conf
    so we don't break existing setups, or those over which the user has
    no control.
  * Revert "clarifications" as well.
  * Recommend, once again, zeroconf.

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 16 Oct 2006 12:18:55 +1000

nss-mdns (0.8-5) unstable; urgency=low

  * Take over the package for the pkg-utopia team. T
  * Acknowledge NMU's (Closes: #388864, #351990, #353131, #378608)
  * Switch to cdbs. As a side-effect the sysconfdir and localstatedir are set
    correctly (Closes: #387231)
  * debian/patches/00_dns_unaligned_access.patch:
    - Added. Prevent unaligned access when creating/parsing dns packets.

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 11 Oct 2006 11:32:46 +0200

nss-mdns (0.8-4.2) unstable; urgency=low

  * NMU
  * Add postinst that will add mdns entries to /etc/nsswitch.conf on new
    installs and on upgrades from the previous version.  Closes: #388864,
    #351990
  * Add postrm to remove mdns entries from /etc/nsswitch.conf when the package
    is removed.
  * Local modifications to the file will be preserved accross upgrades.
  * Depend on base-files 3.1.10 or higher to get a nsswitch.conf that is not a
    conffile and that doesn't have mdns entries from base-files in it.
  * Switch to nsswitch line recommended by upstream in #388864 after getting
    clarification from upstream, and update README.Debian.
  * Remove recommends on zeroconf. Closes: #353131

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Sep 2006 21:10:25 -0400

nss-mdns (0.8-4.1) unstable; urgency=low

  * NMU
  * Clear out the diff.gz so it doesn't patch the various autotools files,
    which makes everything explode on build (Closes: #378608)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri,  8 Sep 2006 09:51:57 +0200

nss-mdns (0.8-4) unstable; urgency=low

  * Forget about using CDBS and use debhelper directly so we have control of
    what is being built and updated. (Closes: #378608)

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 13 Aug 2006 12:24:32 +1000

nss-mdns (0.8-3) unstable; urgency=low

  * Regenerate the Debian .diff.gz so the Debian build system doesn't barf and
    die

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 13 Aug 2006 09:49:39 +1000

nss-mdns (0.8-2) unstable; urgency=low

  * Copy 'configure' from the upstream tarball since the CDBS regeneration has
    gone awry and does not work. This is the simple fix -- a more robust one
    will be in place shortly. Thanks to Sam Morris for the diagnosis.
    (Closes: #378608)

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 13 Aug 2006 09:40:48 +1000

nss-mdns (0.8-1) unstable; urgency=low

  * New upstream release (Closes: #369827)
  * Enable "minimal" mDNS mode -- Debian has had this for a while but
    upstream have now incorporated it.  This should mean that mdns
    can now be mentioned in /etc/nsswitch.conf without issue.
    (Closes: #348578, #348580)
  * Suggest avahi-daemon rather than nscd (Closes: #367275)

 -- Anand Kumria <wildfire@progsoc.org>  Mon,  3 Jul 2006 03:55:05 +1000

nss-mdns (0.7-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 27 Dec 2005 06:42:42 +1100

nss-mdns (0.6-2) unstable; urgency=low

  * Enable Avahi connections

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 12 Sep 2005 20:59:52 +1000

nss-mdns (0.6-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Fri,  2 Sep 2005 03:58:34 +1000

nss-mdns (0.5-1) unstable; urgency=low

  * New upstream release (Closes: #313024)

 -- Anand Kumria <wildfire@progsoc.org>  Thu, 16 Jun 2005 17:38:13 +1000

nss-mdns (0.4-1) unstable; urgency=low

  * New upstream release
  * Fix endian issues (Closes: #305465)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 16 May 2005 05:12:09 +1000

nss-mdns (0.3-2) unstable; urgency=low

  * Modify Maintainer to point to me.
  * Recommend 'zeroconf'
  * Remove i386 specific int3 debug hack.
  * Update to standard 3.6.1
  * Reclose RFP (Closes: #284497)

 -- Anand Kumria <wildfire@progsoc.org>  Mon,  7 Mar 2005 01:27:04 +1100

nss-mdns (0.3-1) unstable; urgency=low

  * Update to current upstream

 -- Lennart Poettering <mzqrovna@0pointer.de>  Sun, 16 Jan 2005 14:57:28 +0100

nss-mdns (0.1-0) unstable; urgency=low

  * Initial Release (Closes: #284497).

 -- Jeff Waugh <jdub@perkypants.org>  Tue, 07 Dec 2004 12:42:51 +0100
